/**
 * @param {JsonSchemaTypeName} jsonSchemaType to register this layout schema generator for
 * @returns {(JsonSchema, string) => ComponentTemplate} generator that will be able to generate layout schema for the given JSON schema type
 */
export function getLayoutGenerator(jsonSchemaType: JsonSchemaTypeName): (JsonSchema: any, string: any) => ComponentTemplate;
/**
 * @param {JsonSchemaTypeName} jsonSchemaType to register this layout schema generator for
 * @param {(JsonSchema, string) => ComponentTemplate} layoutGenerator generator that will be able to generate layout schema for the given JSON schema type
 */
export function setLayoutGenerator(jsonSchemaType: JsonSchemaTypeName, layoutGenerator: (JsonSchema: any, string: any) => ComponentTemplate): void;
export type ComponentTemplate = import("a-wc-form-layout/src/lib/models").ComponentTemplate;
export type JsonSchemaTypeName = import("./models").JsonSchemaTypeName;
export type JsonSchema = import("./models").JsonSchema;
